> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connectors



## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/connectors
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/connectors:
    get:
      tags:
        - Connector
      summary: List connectors
      operationId: getConnectorList
      parameters:
        - name: type
          in: query
          description: Filter by connector type
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorListDto'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDtoV1'
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    ConnectorListDto:
      type: object
      properties:
        connectors:
          type: array
          items:
            $ref: '#/components/schemas/ConnectorDto'
        totalCount:
          type: integer
          format: int32
    ErrorResponseDtoV1:
      type: object
      properties:
        message:
          type: string
        status:
          type: string
    ConnectorDto:
      type: object
      properties:
        automatedProjectSettings:
          type: array
          description: Automated project creation settings that use this connector
          items:
            $ref: '#/components/schemas/AutomatedProjectSettingsDto'
        createdAt:
          type: string
          format: date-time
          description: Date and time the connector was created
        createdBy:
          $ref: '#/components/schemas/NameDto'
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        localToken:
          type: string
          description: >-
            Backend token identifying this connector; required by connector
            backend calls
        name:
          type: string
          description: Display name of the connector
        organization:
          $ref: '#/components/schemas/NameDto'
        type:
          type: string
          description: Connector type identifier (e.g. FTP, GIT, GITHUB)
          enum:
            - AEM_PLUGIN
            - AMAZON_S3
            - AZURE
            - BITBUCKET
            - BITBUCKETSERVER
            - BLUEPRINT
            - BOX
            - BRAZE
            - BRAZE_MULTILANG
            - CONFLUENCE
            - CONTENTFUL
            - CONTENTFULENTRYLEVEL
            - CONTENTFUL2
            - CONTENTSTACK
            - DROPBOX
            - DRUPAL
            - DRUPAL_PLUGIN
            - FTP
            - GIT
            - GITHUB
            - GITLAB
            - GOOGLE
            - GOOGLE_DRIVE2
            - HELPSCOUT
            - HUBSPOT
            - JOOMLA
            - KENTICO
            - KENTICO_KONTENT
            - MAGENTO
            - MARKETO
            - ONEDRIVE
            - OPTIMIZELY
            - PARDOT
            - PHRASE
            - SALESFORCE
            - SFTP
            - SHAREPOINT
            - SITECORE
            - TRIDION
            - TYPO3
            - VERBIS
            - WORDPRESS
            - ZENDESK
    AutomatedProjectSettingsDto:
      type: object
      properties:
        active:
          type: boolean
        connector:
          $ref: '#/components/schemas/NameDto'
        id:
          type: string
        name:
          type: string
        organization:
          $ref: '#/components/schemas/NameDto'
        remoteFolder:
          type: string
        sourceLang:
          type: string
        targetLangs:
          type: array
          uniqueItems: true
          items:
            type: string
    NameDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````